{
  "module": {
    "name": "entry",
    "type": "entry",
    "srcEntry": '',
    "description": "$string:module_desc",
    "mainElement": "TuanjiePlayerAbility",
    "deviceTypes": [
      "phone",
      "tablet",
      "2in1"
    ],
    "metadata": [
      {
        "name": "ArkTSPartialUpdate",
        "value": "true"
      },
      {
        "name": "partialUpdateStrictCheck",
        "value": "warn"
      }
    ],
    "deliveryWithInstall": true,
    "installationFree": false,
    "pages": "$profile:main_pages",
    "abilities": [
      {
        "name": "TuanjiePlayerAbility",
        "srcEntry": "./ets/ability/TuanjiePlayerAbility.ets",
        "launchType": "singleton",
        "description": "$string:EntryAbility_desc",
        "icon": "$media:icon",
        "label": "$string:EntryAbility_label",
        "startWindowIcon": "$media:start_icon",
        "startWindowBackground": "$color:start_window_background",
        "orientation": "auto_rotation_restricted",
        "exported": true,
        "skills": [
          {
            "entities": [
              "entity.system.home"
            ],
            "actions": [
              "action.system.home"
            ]
          }
        ],
        "supportWindowMode": [
          "fullscreen"
        ]
      }
    ],
    "metadata": [
      {
        "name": "client_id",
        "value": "应用client_id"
      },
      {
        "name": "app_id",
        "value": "应用app_id"
      }
    ],
    "requestPermissions": [
      {
        "name": "ohos.permission.INTERNET",
        "usedScene": {
          "abilities": [
            "TuanjiePlayerAbility"
          ],
          "when": "always"
        },
        "reason": "$string:default_reason"
      },
      {
        "name": "ohos.permission.ACCELEROMETER",
        "usedScene": {
          "abilities": [
            "TuanjiePlayerAbility"
          ],
          "when": "always"
        },
        "reason": "$string:default_reason"
      }
    ]
  }
}